> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a funder to broker's policies

> Add a funder to the current broker's funder policies table. Idempotent — if the funder already exists in the broker's table, returns the existing record without modification. New entries start with empty criteria.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/broker_funder_policies/funders/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/broker_funder_policies/funders/:
    post:
      summary: Add a funder to broker's policies
      description: >
        Add a funder to the current broker's funder policies table. Idempotent —
        if the funder already exists in the broker's table, returns the existing
        record without modification. New entries start with empty criteria.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddFunderToPoliciesSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrokerFunderLink'
          description: Funder already exists in policies (no modification)
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrokerFunderLink'
          description: Funder added to policies
        '404':
          description: Funder not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AddFunderToPoliciesSchema:
      additionalProperties: false
      properties:
        funder_heron_id:
          description: Heron ID of the funder to add
          type: string
      required:
        - funder_heron_id
      type: object
    BrokerFunderLink:
      additionalProperties: false
      properties:
        broker_user_id:
          readOnly: true
          type: integer
        classification_instructions_override:
          nullable: true
          readOnly: true
          type: string
        created:
          format: date-time
          readOnly: true
          type: string
        external_reference_id:
          nullable: true
          readOnly: true
          type: integer
        extraction_instructions_override:
          nullable: true
          readOnly: true
          type: string
        funder_heron_id:
          readOnly: true
          type: string
        last_updated:
          format: date-time
          readOnly: true
          type: string
        offer_calculation_constants_override:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        offer_email_instructions_override:
          nullable: true
          readOnly: true
          type: string
        offer_portal_instructions_override:
          nullable: true
          readOnly: true
          type: string
        offer_source_override:
          enum:
            - email
            - api
            - web_portal
            - all_offers
            - crm_lendsaas
            - null
          nullable: true
          readOnly: true
        staging_submission_integration_id:
          nullable: true
          readOnly: true
          type: integer
        submission_cc_email_addresses:
          items:
            type: string
          nullable: true
          readOnly: true
          type: array
        submission_channel_override:
          enum:
            - email
            - api
            - web_portal
            - all_offers
            - crm_lendsaas
            - null
          nullable: true
          readOnly: true
        submission_email_address:
          nullable: true
          readOnly: true
          type: string
        submission_integration_id:
          nullable: true
          readOnly: true
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````